Make a call
curl --request POST \
--url 'https://api.example.com/api/v1/call/{widget_id}?api_key=' \
--header 'Content-Type: application/json' \
--data '
{
"prompt_dynamic_variables": {
"appointment_day": "tomorrow",
"name": "Bob",
"reason": "for confirmation of appointment"
},
"to": "919810012345"
}
'import requests
url = "https://api.example.com/api/v1/call/{widget_id}?api_key="
payload = {
"prompt_dynamic_variables": {
"appointment_day": "tomorrow",
"name": "Bob",
"reason": "for confirmation of appointment"
},
"to": "919810012345"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
prompt_dynamic_variables: {
appointment_day: 'tomorrow',
name: 'Bob',
reason: 'for confirmation of appointment'
},
to: '919810012345'
})
};
fetch('https://api.example.com/api/v1/call/{widget_id}?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Data created successfully",
"meta": {},
"data": {
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "<string>",
"from_number": "<string>",
"to_number": "<string>",
"telephony_provider": {
"provider_name": "twilio",
"call_id": "<string>",
"response_body": {}
},
"prompt_dynamic_variables": {}
}
}{
"detail": "Couldn't authenticate your Twilio account"
}{
"detail": "Invalid authentication credentials"
}{
"detail": "Invalid Widget ID"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Too Many Requests"
}Calling
Make a call
To make an outbound call to a given telephone number
POST
/
api
/
v1
/
call
/
{widget_id}
Make a call
Authorizations
Your API KeyHTTPBearer
Your API key for authentication. You can generate it from the Settings page. Format: starts with in-.
Path Parameters
Widget ID to be used for initiating the call. It must be connected to Twilio, Plivo or Telnyx.
Body
application/json
Payload containing the phone number and other details.
Was this page helpful?

